# sfepy.discrete.structural.mappings module

Finite element reference mappings for structural elements.

class sfepy.discrete.structural.mappings.Shell10XMapping(region, field)

  The reference mapping for the shell10x element.

  get_mapping(qp_coors, weights)

    Get the mapping for given quadrature points and weights.

  get_physical_qps(qp_coors)

    Get physical quadrature points corresponding the given reference element quadrature points.

    Returns:
      qps array

        The physical quadrature points ordered element by element, i.e. with shape (n_el, n_qp, dim).